﻿using System.Collections.Generic;
using System.Diagnostics;
using System.Media;
using System.Windows;

namespace CheckHobbyProcess
{
	/// <summary>
	/// MainWindow.xaml の相互作用ロジック
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void OnLoaded(object sender, RoutedEventArgs e)
		{
			mainPanel.Visibility = Visibility.Visible;
			this.Visibility = Visibility.Hidden;
		}

		private void OnStopButtonClick(object sender, RoutedEventArgs e)
		{
			Visibility = Visibility.Hidden;

			App thisApp = (App)App.Current;
			thisApp.StopHobbyProcesses();
			thisApp.RestartTimer();
		}

		private void OnExtendButtonClick(object sender, RoutedEventArgs e)
		{
			Visibility = Visibility.Hidden;

			SystemSounds.Hand.Play();

			App thisApp = (App)App.Current;
			thisApp.Extend();
		}
	}
}
